> For the complete documentation index, see [llms.txt](https://docs.secoda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secoda.co/integrations/data-visualization-tools/mode.md).

# Mode

An overview of the Mode integration with Secoda

{% content-ref url="/pages/Y9x0rylDC2lf4Q4lb5zx" %}
[Mode Metadata Extracted](/integrations/data-visualization-tools/mode/metadata-extracted.md)
{% endcontent-ref %}

## **Getting Started with Mode** <a href="#h_3a4bfd6458" id="h_3a4bfd6458"></a>

There are three steps to get started using Mode with Secoda:

1. Create a Mode Access Token
2. Retrieve your Mode organization
3. Connect Mode to Secoda

#### **Create an Access Token** <a href="#h_0d871f44cf" id="h_0d871f44cf"></a>

To create a Mode access token for Secoda visit [Mode](https://app.mode.com/signin) and log into your account. Use the following steps to generate an access token:

1. Click on your avatar in the top left and select 'My Account' from the dropdown menu.
2. Click the option 'API Tokens'
3. Enter a token name and click 'Create token'
4. A Token and Secret will be created. The Secret is considered your password. Copy and save both values as these will be used to connect to Secoda.

#### **Retrieve your Mode organization** <a href="#h_2e32c48e7f" id="h_2e32c48e7f"></a>

Your **organization** is the name that's above your avatar when you are on the home page.

#### **Connect Mode to Secoda** <a href="#h_b1c101d905" id="h_b1c101d905"></a>

After retrieving your Mode access token and organization , the next step is to connect to Secoda:

1. In the Secoda App, select ‘Add Integration’ on the Integrations tab
2. Search for and select ‘Mode’
3. Enter your Mode access token, password, and organization you retrieved above
4. Click 'Connect'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.secoda.co/integrations/data-visualization-tools/mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
